API references
Merchant API

Retrieve primary bank account

Get the merchant's current primary bank account used for payouts. This is the account configured via set-primary-bank-account and used for:

  • Receiving settlement funds from successful payments
  • Automated payouts based on your payout schedule
  • Manual payout requests
Endpoint signature
This endpoint requires an API key. Read our authentication guide for more information.
POST https://api.reservepay.com/merchants/retrieve-primary-bank-account HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>
{}
Returns: object
New to Reservepay? Read our guide on how to call endpoints to get started.
Response attributes
Attribute Description
bank_account_id
string

Always present. The ID of the bank account.

bank_code
string

Always present. The bank code identifying the financial institution.

number
string

Always present. The bank account number.

name
string

Always present. The name of the account holder.

country_code
string

Always present. The ISO country code where the bank account is located.

created_at
number

Always present. The Unix timestamp (seconds since epoch) when the bank account was created.

deleted_at
number

Nullable. The Unix timestamp (seconds since epoch) when the bank account was deleted.

deletable
boolean

Always present. Whether the bank account can be deleted. A bank account is deletable if it is not the primary bank account, or if it is the primary bank account but it is the only bank account for the contact.

owner
string

Always present. Whether this bank account belongs to a contact or the merchant.

Possible values:
  • CONTACT
  • MERCHANT
primary
boolean

Always present. Whether this is the primary bank account for its owner (the contact or the merchant).

Errors specific to this endpoint
NOT_FOUND

No primary bank account has been configured for this merchant.

Errors common to all endpoints
UNHANDLED_ERROR

This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.

INVALID_ARGUMENTS

This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.

BAD_VERSION

This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.

CODE SAMPLES
curl
curl "https://api.reservepay.com/merchants/retrieve-primary-bank-account" \
  -X POST
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $(RESERVEPAY_API_KEY)" \
  -d '{}'
Learn how to run these code samples in your terminal by reading our guide.